=== debian/changelog ===
firmware-carl9170 (1.9.4-0~c0.aptosid.3) unstable; urgency=low

  * drop duplicate build-depends:
    - bison
    - dejagnu
    - libmpfr-dev
    - zlib1g-dev
  * override false lintian positive:
    - P: firmware-carl9170 source: unneeded-build-dep-on-quilt

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 23 Nov 2011 19:15:02 +0100

firmware-carl9170 (1.9.4-0~c0.aptosid.2) unstable; urgency=low

  * use reset local quiltrc.
  * close stdin, in order to create the default config non-interactively.
  * remove duplicated build-depends (lsb-release).
  * use Format instead of Format-Specification in debian/copyright and fix URL
    to use alioth's new anonscm location.
  * import latest upstream commits:
    - carl9170 firmware: report device tallies
    - carl9170 firmware: drop timer1
    - carl9170 firmware: improve site survey data
    - carl9170 firmware: fix use of uninitialized value
    - carl9170 firmware: shared register file update
    - carl9170 firmware: correct use of memset
    - carl9170 firmware: add BCN_HT1 and BCN_HT2 definitions
    - carl9170 firmware: install firmware without execute permissions
    - cfg80211: don't drop p2p probe responses
    - wireless: unify QoS control field definitions
    - ieee80211: add few wmm tspec values
    - carl9170 firmware: checkpatch/style fixes
    - carl9170 firmware: add missing out-of-bound check in WoWLAN code
    - config: import latest kconfig

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 23 Nov 2011 18:48:31 +0100

firmware-carl9170 (1.9.4-0~c0.aptosid.1) unstable; urgency=low

  * Initial release.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 12 Aug 2011 19:57:48 +0200
